CON

  _clkmode = xtal1+pll16x
  _clkfreq = 80_000_000

OBJ
  ram : "GG_REM"
  coms: "FullDuplexSerial" 


PUB main | w,x,y, error
  ram.init
  coms.start(31, 30, 0, 9600)

  'write random sequence to ram
  coms.str(String("Writing: "))
  coms.tx(13) 
  y:=5
  repeat x from 0 to 23
    w:=1
    ?y
    ram.WriteRAM(w, y&$FF)
    w:=w<<1

  'read and verify correct random sequence from ram

  coms.str(String("Checking: "))
  coms.tx(13) 
  repeat x from 0 to 23
    w:=1
    ?y
    if ram.ReadRAM(w)<>y&$FF
      coms.str(String("Error on Address Line: "))
      coms.dec(x)
      coms.tx(13) 
    w:=w<<1
  coms.str(String("Done"))
  coms.tx(13) 

  repeat      
